FORUMS: list search recent posts

MacOs Snow Leopard FCP6 - wtf?

COW Forums : Apple Final Cut Pro Legacy

<< PREVIOUS   •   FAQ   •   VIEW ALL   •   PRINT   •   NEXT >>
Len Wasson
MacOs Snow Leopard FCP6 - wtf?
on Oct 22, 2016 at 9:16:47 pm

back when I purchased FCP6, I was also a new Mac user so I wasn't all that knowledgeable about mac systems

since then I've been mostly using macs - but once I upgraded to Snow Leopard, lost some apps that couldn't work anymore

this made me hesitant to upgrade again, and when Lion came out, I decided to sit it out, and out, and out....basically I'm still on Snow Leopard just because of FCP. and I haven't upgraded to FCP v7 because, well, it's expensive damn it!

anyway, the past couple of months Firefox has been sending me warnings that they aren't going to support this os after Jan 1, 2017; Safari stopped working altogether a while back and it's getting more and more common for me to have issues due to the age of my os.

I came here (haven't been on CC for a while, sorry !) and found quite a few threads that apparently FCP6 did work past Snow Leopard?? is that correct? can I upgrade then at least a couple of versions ??

I have both an iMac and a Macbook Pro (on its 3rd hard drive now but still kickin') so I'd like to upgrade both of them, if possible and still use FCP 6.


Return to posts index

Shane Ross
Re: MacOs Snow Leopard FCP6 - wtf?
on Oct 22, 2016 at 11:31:25 pm

If you need FCP 6 to work, you need to keep it on that older OS. You have to. Upgrade and things break, because the OS doesn't support the old software. But if you need other apps that only work on later OS versions...then you have two options.

1) separate computers for FCP 6 and everthing else. I have a MacPro (2008) that I keep JUST for FCP 7, and Avid Symphony. And I don't update that OS. I DO have a separate drive that has a later OS, when I was running RESOLVE on it, but now I have a new computer for that.

2) Separate hard drives or separate partitions on one drive...so one running the OLD OS and FCP, and the other running a newer OS for everything else.

[Len Wasson] " and I haven't upgraded to FCP v7 because, well, it's expensive damn it!"

FCP 7 was discontinued over 6 years ago. I'm sure you can find it for $200 on ebay or something. But it too can't go beyond 10.6.8...well, it can. 10.6.8 was the last supported OS. The last one that everything works with is 10.8. Go to10.9 and Compressor breaks, Motion, Color.... So even if you got FCP 7, you couldn't go to far in the OS versions.

Shane
Little Frog Post
Read my blog, Little Frog in High Def


Return to posts index

Len Wasson
Re: MacOs Snow Leopard FCP6 - wtf?
on Oct 23, 2016 at 12:39:36 am

great info - thanks!

I didn't know that about FCP7 since I'm not using it - can't believe I might have to cave and go to X, wow. sooner or later, it had to happen, I suppose.

I do also use Avid Media Composer but haven't run into the same issues.

had considered partitioning in the past but have never done it for whatever reason.

I do have Premiere in Adobe 6 but am not on the cloud and am fearful if I start using it, I'll be forced to at some point.

thanks again - my options are a lot more clear now -


Return to posts index


Dave LaRonde
Re: MacOs Snow Leopard FCP6 - wtf?
on Oct 23, 2016 at 3:19:28 am

If you don't want to go to Adobe Premiere Pro, DO NOT CHANGE ANYTHING ON YOUR SYSTEM. Don't do it. Don't get Premiere Pro. Get used to running a legacy system. You can't change anything. Are you prepared for that?

Dave LaRonde
Promotion Producer
KGAN (CBS) & KFXA (Fox) Cedar Rapids, IA


Return to posts index

Len Wasson
Re: MacOs Snow Leopard FCP6 - wtf?
on Oct 23, 2016 at 4:07:58 am

oh please! I'd love not to have to change anything - everything has been fine for me at home - it's the internet apps that are bugging out! did you miss this paragraph in my original post?

<>

I've checked for other browsers, even tho I've used FF since it first came out (really) and don't want to change.

don't see as I have much choice -


Return to posts index

Mark Suszko
Re: MacOs Snow Leopard FCP6 - wtf?
on Oct 25, 2016 at 2:28:47 pm

You are one of those people that won't just yank off the bandage in one go... you have to slowwwllly peel it off. I get it. I'm like that on some things.

You can get a swell 20 or 27 inch used/refurbed imac with the latest software on it for about $300-$700 from OWC, comes with a warranty and everything. Run all your other apps on that, leave this system alone and use it just for editing. Put FCPX and new Motion on the new system, and dabble with it in your leisure time.


Return to posts index


Len Wasson
Re: MacOs Snow Leopard FCP6 - wtf?
on Oct 25, 2016 at 6:05:05 pm

Leisure time??? what leisure time??

and no, I always rip that bandage off - so you got 2 strikes there - care to go for 3?? ha!

oops - forgot - no more space for computers - I have 2 desks already - my workstation has 2 monitors, a 21 and a 22, it's crowded - the other one has my notebook and a photo scanner, no room there either - so it's not an option to get a 4th computer (yeah, I still have a 3rd 10" windows machine I never use)

I'm thinking about doing a partition on my iMac, which is my editing workstation. I've never partitioned before, much less to run 2 dif operating systems and someone else said - just run a legacy version on one of them

but how would that work, the partition aspect? am I going to be logging in and out to diff systems?

If need be, I can go on over to another forum - no problem - let me know -


Return to posts index

Steve McGarrigle
Re: MacOs Snow Leopard FCP6 - wtf?
on Oct 29, 2016 at 8:10:13 pm

I have a copy of FCP 6.0.6 that I can confirm works just fine on Sierra 10.12.1.
I have absolutely no interest in using it anymore though as it really does feel old, slow and clunky compared to FCPX or PP.


Return to posts index

Len Wasson
Re: MacOs Snow Leopard FCP6 - wtf?
on Oct 29, 2016 at 10:06:06 pm

hmm.... so you're saying that whatever kept it from working in earlier Mac Os updates post-Snow Leopard, now no longer effects FCP v 6?

ok.

got it.


Return to posts index


Christopher McDonell
Re: MacOs Snow Leopard FCP6 - wtf?
on Nov 12, 2016 at 8:16:56 am

I've been editing with 6.0.6 on El Capitan 6 days/week for the last 6 months straight. The earlier versions of Motion and Compressor are incompatible so just have to get the new versions and say goodbye to round-tripping. The colour dropper doesn't work when using the various filters and I get random crashes here and there. I have auto-save set for every 20 minutes. Other than that, works just fine.

My specs: FCP 6.0.6, El Capitan, rMBP 15" i7 2.6 GHz, 16 GB RAM


Return to posts index

Len Wasson
Re: MacOs Snow Leopard FCP6 - wtf?
on Nov 13, 2016 at 4:19:47 am

[Christopher McDonell] "I've been editing with 6.0.6 on El Capitan 6 days/week for the last 6 months straight. The earlier versions of Motion and Compressor are incompatible so just have to get the new versions and say goodbye to round-tripping. The colour dropper doesn't work when using the various filters and I get random crashes here and there. I have auto-save set for every 20 minutes. Other than that, works just fine."


thanks for this info - I've decided to go ahead and update my os, as it's just time, period. I figure I'll have to learn Premiere, since I have it in CS6 (not cloud) but would like to keep my FCP around because it's just so easy, fast and concise.

Thanks again. will post an update at some point.


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2017 CreativeCOW.net All Rights Reserved
[TOP]